#
# spec file for package rarpd (Version 1.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libnet libpcap
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libnet libpcap libtool perl rpm

Name:         rarpd
License:      Other License(s), see package
Group:        Productivity/Networking/System
Autoreqprov:  on
Version:      1.1
Release:      583
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-libnet.diff
Patch1:       %{name}-%{version}-printf.diff
Patch2:       %{name}-%{version}-autoconf.diff
URL:          ftp://ftp.dementia.org/pub/net-tools/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      reverse address resolution protocol daemon

%description
Rarpd listens on the ethernet for broadcast packets asking for reverse
address resolution.  These packets are sent by hosts  at  boot	time to
find out their IP address.



Authors:
--------
    Derrick Brashear <shadow@dementia.org>

%prep
%setup -q
%patch0
%patch1
%patch2

%build
rm install.sh
%{suse_update_config -f}
aclocal -I cmulocal
automake -afc --foreign
autoconf -I cmulocal
CFLAGS="$RPM_OPT_FLAGS -Wall" \
	./configure \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--with-libnet=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO
%doc %{_mandir}/man?/*
%{_sbindir}/rarpd

%changelog -n rarpd
* Wed May 12 2004 - mjancar@suse.cz
- send correct server address in the response (#34574)
* Mon Jul 28 2003 - mjancar@suse.cz
- fixes for updated libnet
* Thu Aug 09 2001 - ro@suse.de
- use libpcap instead of (dropped) libpcapn
* Sat Jan 13 2001 - vinil@suse.cz
- initial release (v1.1)
